Yesterday, we just got some news about the latest 3DS v4.4.0-10 has blocked many 3ds flashcarts.

Yeah, today, we got the dstwo patch in supercard forum,

here is the quote:

“DSTWO Fireware v1.18 released for 3ds 4.4.0-10x

http://bbs.supercard.sc/forum.ph … zNHw0OTJ8NDE0NDg%3D

after updating its patch, the supercard dstwo can work on the 3DS v4.4.0-10.

Post to Twitter

Related Posts: